Subject: Re: [net-next 03/15] net/mlx5: Add adjphase function to support hardware-only offset control

From: Jakub Kicinski <[email-masked]>
Date: Tue, 24 Jan 2023 16:48:32 -0800

On Tue, 24 Jan 2023 11:15:31 -0800 Richard Cochran wrote:
> On Tue, Jan 24, 2023 at 12:33:05PM +0200, Bar Shapira wrote:
> > I guess this expectation should be part of the documentation too, right? Are
> > there more expectations when calling adjphase?  
> 
> I'll gladly ack improvements to the documentation. I myself won't
> spend time on that, because it will only get ignored, even when it is
> super clear.  Like ptp_clock_register(), for example.

IMHO it is a responsibility of maintainers to try to teach, even if not
everyone turns out to be a diligent listener/reader. I've looked for
information about this callback at least twice in the last 6 months.

nVidia folks, could you please improve the doc, in that case? 
I think you also owe me the docs for your "debug" configuration 
of hairpin queues in debugfs.